Bug 1003316 - Graphics on Intel GM45 borked; gnome/gdm messes up screen, LVDS being shut not detected, ...
Graphics on Intel GM45 borked; gnome/gdm messes up screen, LVDS being shut no...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-01 17:52 EDT by Tom London
Modified: 2016-07-19 06:20 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:20:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of 'dmesg' (76.87 KB, text/plain)
2013-09-01 17:52 EDT, Tom London
no flags Details
Copy of Xorg.0.log (23.05 KB, text/plain)
2013-09-01 17:53 EDT, Tom London
no flags Details
Copy of :0.log (19.03 KB, text/plain)
2013-09-01 17:55 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2013-09-01 17:52:48 EDT
Created attachment 792677 [details]
Output of 'dmesg'

Description of problem:

My Thinkpad X200 has been behaving badly with Rawhide kernels: system no longer detects that the laptop lid is closed and that the onlly "useful" display is on VGA1, and screen redraw is badly displaying artifacts, no background, black borders around windows, and "display memory" when windows are moved.

Since the system consders the laptop screen to be on (even when the lid is shut), my VGA display shows a solid "gray" gdm-greeter screen: the user selection/password area is not displayed. (It is actually on the LVDS if I open the lid).

Not sure what to attach to be helpful, but I'll start with dmesg output, a copy of Xorg.0.log, and a copy of gdm/:0.log.

Let me know what else I can provide that would be helpful.

Here is what I see in dmesg:

[    0.031122] smpboot: CPU0: Intel(R) Core(TM)2 Duo CPU     P8600  @ 2.40GHz (fam: 06, model: 17, stepping: 06)
[    0.032000] Performance Events: PEBS fmt0+, 4-deep LBR, Core2 events, Intel PMU driver.
[    0.478264] agpgart-intel 0000:00:00.0: Intel GM45 Chipset


Here is what I see in Xorg.0.log:

[    28.214] (WW) Warning, couldn't open module modesetting
[    28.214] (II) UnloadModule: "modesetting"
[    28.214] (II) Unloading modesetting
[    28.214] (EE) Failed to load module "modesetting" (module does not exist, 0)
[    28.214] (II) LoadModule: "fbdev"
[    28.214] (II) Loading /usr/lib64/xorg/modules/drivers/fbdev_drv.so
[    28.214] (II) Module fbdev: vendor="X.Org Foundation"
[    28.214]     compiled for 1.14.2, module version = 0.4.3
[    28.215]     Module class: X.Org Video Driver
[    28.215]     ABI class: X.Org Video Driver, version 14.1
[    28.215] (II) intel: Driver for Intel(R) Integrated Graphics Chipsets:
    i810, i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G,
    915G, E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM,
    Pineview G, 965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
    GM45, 4 Series, G45/G43, Q45/Q43, G41, B43, HD Graphics,
    HD Graphics 2000, HD Graphics 3000, HD Graphics 2500,
    HD Graphics 4000, HD Graphics P4000, HD Graphics 4600,
    HD Graphics 5000, HD Graphics P4600/P4700, Iris(TM) Graphics 5100,
    HD Graphics 4400, HD Graphics 4200, Iris(TM) Pro Graphics 5200
[    28.215] (II) VESA: driver for VESA chipsets: vesa

Here is what I see in /usr/lib/modules/3.11.0-0.rc7.git4.2.fc21.x86_64/modules.modesetting:

[tbl@tlondon ~]$ cat /usr/lib/modules/3.11.0-0.rc7.git4.2.fc21.x86_64/modules.modesetting
ast.ko
cirrus.ko
gma500_gfx.ko
i915.ko
mgag200.ko
nouveau.ko
qxl.ko
radeon.ko
udl.ko
vmwgfx.ko
[tbl@tlondon ~]$ 



Version-Release number of selected component (if applicable):
kernel-3.11.0-0.rc7.git4.2.fc21.x86_64 (and earlier fc21 kernels)
xorg-x11-drv-intel-2.21.14-1.fc20.x86_64
gdm-3.9.90-1.fc21.x86_64
mesa-dri-drivers-9.2-0.15.20130723.fc20.x86_64

How reproducible:
Every boot

Steps to Reproduce:
1. Boot up to gdm/gnome
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2013-09-01 17:53:35 EDT
Created attachment 792678 [details]
Copy of Xorg.0.log
Comment 2 Tom London 2013-09-01 17:55:21 EDT
Created attachment 792679 [details]
Copy of :0.log
Comment 3 Tom London 2013-09-02 14:50:16 EDT
Some more detail:

I've managed to "make this work for me as expected" (i.e., Laptop LCD detected as off, graphics working, no artefacts, etc.) by including the following 2 parameters to the grub2 boot line:

i915.panel_ignore_lid=0 
i915.modeset=1

'modinfo i915' says:

parm:           modeset:Use kernel modesetting [KMS] (0=DRM_I915_KMS from .config, 1=on, -1=force vga console preference [default]) (int)
parm:           fbpercrtc:int
parm:           panel_ignore_lid:Override lid status (0=autodetect, 1=autodetect disabled [default], -1=force lid closed, -2=force lid open) (int)
Comment 4 Tom London 2013-10-23 09:41:40 EDT
I'm still seeing this with latest Rawhide:

xorg-x11-drv-intel-2.21.15-4.fc21.x86_64

and kernel-3.12.0-0.rc6.git0.2.fc21.x86_64

I still need 'i915.panel_ignore_lid=0 i915.modeset=1' on the boot line or the lid being closed is not properly detected, etc.
Comment 5 Tom London 2013-10-25 09:31:44 EDT
Problem persists with xorg-x11-drv-intel-2.21.15-5.fc21.x86_64 and kernel-3.12.0-0.rc6.git1.2.fc21.x86_64

Any more info I can provide that would be helpful?
Comment 6 Tom London 2013-10-25 19:56:53 EDT
Hey!!!

I believe it is working with xorg-x11-drv-intel-2.21.15-7.fc21.x86_64:

[root@tlondon proc]# cat cmdline
BOOT_IMAGE=/vmlinuz-3.12.0-0.rc6.git4.2.fc21.x86_64 root=/dev/mapper/vg_tlondon-lv_root ro LANG=en_US.UTF-8
[root@tlondon proc]# 

So, I booted without the extra i915.XX args and "it worked for me".

Thanks!
Comment 7 Tom London 2013-10-27 10:30:18 EDT
Hmmm... spoke too soon.

Booted again this morning; the messed up rendering returned, but the closed lid is properly sensed.
Comment 8 Jaroslav Reznik 2015-03-03 10:02:01 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 9 Fedora End Of Life 2016-07-19 06:20:32 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.